Skip to main content
GET
/
api
/
v2
/
plan
/
info
Get plan information
curl --request GET \
  --url https://api.okeyproxy.com/ipglobal-api/api/v2/plan/info
{
  "planId": "20250101114300769",
  "proxyType": 2,
  "traffic": 1,
  "availableTraffic": 0,
  "effectTime": "2025-01-01 11:43:00",
  "expireTime": "2025-01-01 11:43:00",
  "secUsername": "xts1j09z",
  "status": 1
}

Query Parameters

planId
string
required

Plan ID

apiKey
string
required

Agent API key used for authentication

Response

200 - application/json
planId
string
required

Plan ID

proxyType
integer
required

Rotating proxies type. 1 for Starter, 2 for Advanced, 3 for Premium.

traffic
number
required

Plan traffic (in GB)

availableTraffic
number
required

Remaining traffic (in GB)

effectTime
string
required

Effective time. Format: yyyy-MM-dd HH:mm:ss (UTC+8)

expireTime
string
required

Expiration time. Format: yyyy-MM-dd HH:mm:ss (UTC+8)

secUsername
string
required

Sec-user account

status
integer
required

Plan status. 1 for enabled, 2 for disabled, 3 for exhausted, 4 for expired